(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(background-color "#7f7f7f")
 '(background-mode dark)
 '(blink-cursor-mode t)
 '(column-number-mode t)
 '(cursor-color "#ffd85c")
 '(cursor-type 'bar)
 '(custom-enabled-themes '(tango-dark tango))
 '(custom-file (concat user-emacs-directory "customizations.el"))
 '(custom-safe-themes
   '("84d2f9eeb3f82d619ca4bfffe5f157282f4779732f48a5ac1484d94d5ff5b279" "3c83b3676d796422704082049fc38b6966bcad960f896669dfc21a7a37a748fa" "a27c00821ccfd5a78b01e4f35dc056706dd9ede09a8b90c6955ae6a390eb1c1e" default))
 '(echo-keystrokes 0.1)
 '(epg-gpg-program "gpg2")
 '(fill-column 98)
 '(foreground-color "#5c5cff")
 '(indent-tabs-mode nil)
 '(indicate-empty-lines t)
 '(inhibit-startup-echo-area-message (user-login-name))
 '(inhibit-startup-screen t)
 '(initial-scratch-message nil)
 '(message-sendmail-envelope-from 'header)
 '(minibuffer-prompt-properties '(read-only t cursor-intangible t face minibuffer-prompt))
 '(package-selected-packages
   '(ace-flyspell
     ace-mc
     ace-window
     achievements
     activity-watch-mode
     ag
     alert
     all-the-icons
     ansible
     anzu
     arduino-mode
     async
     auto-highlight-symbol
     auto-package-update
     avy
     bats-mode
     beacon
     bind-key
     cargo
     ciel
     clojure-mode
     coffee-mode
     command-log-mode
     company
     company-c-headers
     company-emoji
     company-restclient
     company-shell
     company-web
     counsel
     counsel-ag-popup
     counsel-gtags
     counsel-projectile
     counsel-pydoc
     csharp-mode
     csv-mode
     dashboard
     delight
     dired-collapse
     dired-du
     dired-git-info
     dired-hide-dotfiles
     dired-k
     dired-rainbow
     docker-tramp
     dockerfile-mode
     edit-server
     editorconfig
     electric-case
     electric-operator
     elpher
     emamux
     ement
     emmet-mode
     enlive
     eshell-fringe-status
     eshell-prompt-extras
     expand-region
     fancy-narrow
     feature-mode
     fish-mode
     flycheck
     flycheck-pkg-config
     flycheck-rust
     focus
     forge
     form-feed
     ggtags
     git-gutter-fringe
     git-messenger
     git-timemachine
     gitlab-ci-mode
     gitlab-ci-mode-flycheck
     gnu-elpa-keyring-update
     gnugo
     go-mode
     gobgen
     golden-ratio
     goto-last-change
     graphql
     highlight-indentation
     hl-todo
     hover
     hungarian-holidays
     hungry-delete
     ivy
     ivy-bibtex
     ivy-pass
     ivy-yasnippet
     jinja2-mode
     js2-mode
     json-mode
     kanban
     kubernetes
     loccur
     lsp-dart
     lsp-mode
     lsp-pyre
     lsp-ui
     magit
     markdown-mode
     mastodon
     matrix-client
     mc-extras
     mediawiki
     meson-mode
     minions
     moody
     mu4e
     mu4e-maildirs-extension
     multiple-cursors
     neotree
     nyan-mode
     nyan-prompt
     ob-mermaid
     ob-restclient
     objed
     org
     org-autolist
     org-bullets
     org-caldav
     org-clock-waybar
     org-msg
     org-projectile
     org-random-todo
     org-sticky-header
     origami
     ox-rst
     pacfiles-mode
     paradox
     phi-search
     phi-search-mc
     plantuml-mode
     plz
     po-mode
     poetry
     ponylang-mode
     projectile
     projectile-speedbar
     quelpa
     quelpa-use-package
     rainbow-delimiters
     rainbow-identifiers
     rainbow-mode
     restclient
     rust-mode
     sass-mode
     secretaria
     smartparens
     sphinx-doc
     spinner
     sr-speedbar
     sx
     terraform-mode
     tidal
     transient
     ts
     typescript-mode
     undo-tree
     use-package
     vala-mode
     vala-snippets
     vue-html-mode
     web-mode
     yaml-mode
     yasnippet
     yasnippet-snippets
     zone-nyan
     zygospore))
 '(safe-local-variable-values
   '((web-mode-engine . jinja)
     (engine . jinja)
     (bug-reference-bug-regexp . "#\\(?2:[0-9]+\\)")))
 '(scroll-margin 2)
 '(sgml-basic-offset 4)
 '(show-trailing-whitespace t)
 '(suggest-key-bindings nil)
 '(tab-width 4)
 '(use-package-always-ensure t)
 '(use-package-verbose nil)
 '(wl-draft-send-mail-function 'wl-draft-send-mail-with-sendmail))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(default ((t (:family "Hack" :foundry "simp" :slant normal :weight normal :height 98 :width normal))))
 '(aw-leading-char-face ((t (:inherit ace-jump-face-foreground :height 2.0))))
 '(hl-line ((t (:inherit nil :background "gray25"))))
 '(outline-1 ((t (:inherit font-lock-function-name-face :overline t :weight bold :height 1.2))))
 '(outline-2 ((t (:inherit font-lock-variable-name-face :overline t :weight bold :height 1.1))))
 '(outline-3 ((t (:inherit font-lock-keyword-face :overline t :weight bold))))
 '(trailing-whitespace ((t (:inherit nil :background "red1"))))
 '(whitespace-line ((t (:inherit nil :background "orange4")))))
